# $Revision: 1.21 $, $Date: 2004/04/26 14:38:18 $
#
# Conditional build:
%bcond_with	glut	# use glut instead of SDL
%bcond_with	nvidia	# enable NVidia specific extensions
#
Summary:	A free OpenGL game of playing billard
Summary(pl):	Wolnodostpna gra w bilard oparta na OpenGL
Name:		foobillard
Version:	3.0a
Release:	1	
Vendor:		Florian Berger <florian.berger@aec.at>, <harpin_floh@yahoo.de>
License:	GPL
Group:		X11/Applications/Games
Source0:	http://foobillard.sunsite.dk/dnl/%{name}-%{version}.tar.gz
# Source0-md5:	c2d92edeaaf8bfb18aa26f1c79931b7d
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://foobillard.sunsite.dk/
BuildRequires:	OpenGL-devel
%{!?with_glut:BuildRequires:	SDL-devel}
%{?with_nvidia:BuildRequires:	XFree86-driver-nvidia}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
%{?with_glut:BuildRequires:	glut-devel}
BuildRequires:	intltool
BuildRequires:	libtool
Requires:	OpenGL
%{?with_nvidia:Requires:	XFree86-driver-nvidia}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux.
Why foo? Well, actually I had this logo (F.B.-Florian Berger) and then
foo sounds a bit like pool (Somehow I wasn't quite attracted by the
name FoolBillard). Actually FooBillard is still under development but
the main physics is implemented. If you are a billard-pro and you're
missing some physics, please tell me. Cause I've implemented it like I
think it should work, which might differ from reality.

%description -l pl
FooBillard to prba stworzenia wolnodostpnego bilarda OpenGL dla
Linuksa. Dlaczego foo? Bo autor mia ju to logo (F.B. - Florian
Berger) i "foo" brzmi troch jak "pool" (a nazwa "FoolBillard" nie
brzmiaa zbyt przycigajco). FooBillard jest nadal w stadium rozwoju,
ale gwna fizyka jest ju zaimplementowana. Jeeli w grze brakuje
jakiej fizyki, dobrze jest zgosi to autorowi, poniewa on
zaimplementowa j tak, jak myla, e powinna dziaa, co moe si
nieco rni od rzeczywistoci.

%prep
%setup -q

%build
rm -f missing
X_LIBS='-I/usr/X11R6/include'; export X_LIBS
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_glut:--enable-SDL}%{?with_glut:--enable-glut} \
	%{!?with_nvidia:--disable-nvidia}%{?with_nvidia:--enable-nvidia}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog TODO README.FONTS foobillardrc.example
%attr(755,root,root) %{_bindir}/*
%{_datadir}/foobillard
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: foobillard.spec,v $
Revision 1.21  2004/04/26 14:38:18  pawelb
- up to 3.0a

Revision 1.20  2003/12/10 15:22:22  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.19  2003/11/10 23:01:49  qboosh
- BR: libtool

Revision 1.18  2003/11/10 13:38:24  grzegol
- with_nvidia BR,R: XFree86-driver-nvidia

Revision 1.17  2003/11/09 20:03:12  grzegol
- added with_nvidia bcond
- new bconds

Revision 1.16  2003/11/09 18:54:19  wolf
- disable nvidia specific extensions

Revision 1.15  2003/11/09 18:20:12  grzegol
- updated to 2.9

Revision 1.14  2003/07/14 10:13:45  grzegol
- updated to 2.8
- removed outdated include patch

Revision 1.13  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.12  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:47:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/16 20:44:10  grzegol
- updated to 2.5

Revision 1.9  2003/02/22 21:52:03  grzegol
- updated to 2.4

Revision 1.8  2003/02/15 23:01:13  ankry
- Vendor field fix

Revision 1.7  2003/01/29 12:17:34  qboosh
- OpenGL is always required, added noautoreqdep

Revision 1.6  2003/01/26 18:05:26  grzegol
- removed %%gettextize (it isn't necessary and it breaks building)
- added --with_glut bcond
- rel. 2

Revision 1.5  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.4  2003/01/09 11:03:04  qboosh
- pl description, cosmetics, added missing dir
- removed COPYING (just GPL) and INSTALL (only build instructions) from doc

Revision 1.3  2003/01/09 08:58:03  tiwek
- added icon

Revision 1.2  2003/01/08 18:21:52  ankry
- adapterized

Revision 1.1  2003/01/08 14:47:02  tiwek
nice game
initial release 2.3
